Attribute VB_Name = "SubMain"
Option Explicit

#If Win16 Then
    Declare Function GetPrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Integer, ByVal lpFileName As String) As Integer
    Declare Function WritePrivateProfileString Lib "Kernel" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lplFileName As String) As Integer
#Else
    Declare Function GetPrivateProfileString Lib "Kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
    Declare Function WritePrivateProfileString Lib "Kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long
#End If
Sub Main()
Dim section As String
Dim val As String * 256
Dim length As Long

    #If Win16 Then
        section = "Add-Ins16"
    #Else
        section = "Add-Ins32"
    #End If

    ' See if the add-in is in VB.INI.
    length = GetPrivateProfileString(section, _
        "PropertyAddIn.Connector", "", val, _
        256, "VB.INI")

    ' If not, add it.
    If length = 0 Then _
        WritePrivateProfileString section, _
            "PropertyAddIn.Connector", "0", _
            "VB.INI"
End Sub
